OpenNMS API 1.2.9

## org.opennms.web.eventconf.parsers
Class EventConfParser

    java.lang.Object
      org.opennms.web.parsers.BBParser
          org.opennms.web.eventconf.parsers.EventConfParser

public class EventConfParser
extends BBParser

This class is used to parse data from eventconf.xml file.

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Nested Class Summary

Nested classes inherited from class org.opennms.web.parsers.BBParser
``

Field Summary
`private Event` `m_curEvent` The current event being parsed from the xml file
`private Global` `m_eventGlobalInfo` The information in the <global>tags of the eventconf.xml
`private java.util.List` `m_events` The list of events parsed from the xml file

Fields inherited from class org.opennms.web.parsers.BBParser
`ATTRIB_VALUE_PAIR_ERR, ATTRIB_VALUE_PAIR_ERR_STR, EXCEPTION, m_curElement, m_errNum, m_exceptionMsg, m_inpSource, m_parser, NULL_VALUE_ERR, NULL_VALUE_ERR_STR`

Constructor Summary
`EventConfParser()` Default constructor, intializes the member variables

Method Summary
`java.util.List` `getEventsList()` This method returns the list of Event objects parsed from the xml file.
`Global` `getGlobalInfo()`
`private AutoAction` `processAutoAction(org.w3c.dom.Element el)` This method is used to process an autoaction.
`private void` `processCorrelation(org.w3c.dom.Element el, Correlation correlation)` This method is used to process a correlation tag.
`protected boolean` `processElement(org.w3c.dom.Element el, boolean isRoot)` This method is called from the parse method and overrides the method in BBParser.
`private void` `processGlobal(org.w3c.dom.Element globalElement)` This method is used to process a mask tag.
`private void` `processMask(org.w3c.dom.Element maskElement, Event event)` This method is used to process a mask tag.
`private void` `processMaskElement(org.w3c.dom.Element maskElement, MaskElement element)` This method is used to process a maskelement tag.
`private OperatorAction` `processOperatorAction(org.w3c.dom.Element el)` This method is used to process an operator action.
`private void` `processSecurity(org.w3c.dom.Element securityElement)` This method is used to process a mask tag.
`private Snmp` `processSnmp(org.w3c.dom.Element snmpElement)` This method is used to process an snmp tag.

Methods inherited from class org.opennms.web.parsers.BBParser
`getErrorMessage, getErrorNumber, parse, parse, parse, parse, processDocument, processNode, processParmValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_events

    private java.util.List m_events

  The list of events parsed from the xml file

### m_curEvent

    private Event m_curEvent

  The current event being parsed from the xml file

### m_eventGlobalInfo

    private Global m_eventGlobalInfo

  The information in the <global>tags of the eventconf.xml

Constructor Detail

### EventConfParser

    public EventConfParser()

  Default constructor, intializes the member variables

Method Detail

### getEventsList

    public java.util.List getEventsList()

  This method returns the list of Event objects parsed from the xml file.

  Returns:
    a list of Event objects

### getGlobalInfo

    public Global getGlobalInfo()

### processElement

    protected boolean processElement(org.w3c.dom.Element el,
                                     boolean isRoot)

  This method is called from the parse method and overrides the method in BBParser. It identifies tag names and takes appropriate actions to get data from the xml tags.

  Overrides:
    `processElement` in class `BBParser`
  Parameters:
    `el` - the current tree element
    `isRoot` - true if the element is the root of the tree
  Returns:
    true if method was successful, false otherwise

### processGlobal

    private void processGlobal(org.w3c.dom.Element globalElement)

  This method is used to process a mask tag.

  Parameters:
    `globalElement` - the DOM element to handle.

### processSecurity

    private void processSecurity(org.w3c.dom.Element securityElement)

  This method is used to process a mask tag.

  Parameters:
    `securityElement` - the DOM element to handle.

### processMask

    private void processMask(org.w3c.dom.Element maskElement,
                             Event event)

  This method is used to process a mask tag.

  Parameters:
    `maskElement` - the DOM element to handle.
    `event` - the event to add the mask elements to

### processMaskElement

    private void processMaskElement(org.w3c.dom.Element maskElement,
                                    MaskElement element)

  This method is used to process a maskelement tag.

  Parameters:
    `maskElement` - the DOM element to handle.
    `element` - the MaskElement object to populate

### processSnmp

    private Snmp processSnmp(org.w3c.dom.Element snmpElement)

  This method is used to process an snmp tag.

  Parameters:
    `snmpElement` - the DOM element to handle.
  Returns:
    the parse Snmp object

### processCorrelation

    private void processCorrelation(org.w3c.dom.Element el,
                                    Correlation correlation)

  This method is used to process a correlation tag.

  Parameters:
    `el` - the DOM element to handle.
    `correlation` - the Correlation object to build

### processAutoAction

    private AutoAction processAutoAction(org.w3c.dom.Element el)

  This method is used to process an autoaction.

  Parameters:
    `el` - the DOM element to handle.
  Returns:
    the parsed auto action information

### processOperatorAction

    private OperatorAction processOperatorAction(org.w3c.dom.Element el)

  This method is used to process an operator action.

  Parameters:
    `el` - the DOM element to handle.
  Returns:
    the parsed operator action information

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.